<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('flats', function (Blueprint $table) {
            $table->id();

            $table->foreignId("society_id")->constrained("societies")
                ->cascadeOnDelete();
            $table->foreignId("wing_id")->constrained("wings")
                ->cascadeOnDelete();
            $table->foreignId("owner_id")->nullable()->constrained("owners")
                ->cascadeOnDelete();

            $table->string("flat_no");
            $table->string("status", 50)->default("in-active");
            $table->string("flat_sqrft")->nullable();
            $table->string("agreement")->nullable();
            $table->string("other_docs")->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('flats');
    }
};
