<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('users', function (Blueprint $table) {
            $table->id();

            $table->foreignId("owner_id")->nullable()->constrained("owners")
                ->cascadeOnDelete()->cascadeOnUpdate();
            $table->foreignId("flat_id")->nullable()->constrained("flats")
                ->cascadeOnDelete();

            $table->string("name");
            $table->string("email")->unique();
            $table->string('password');
            $table->string("phone")->nullable();
            $table->string("role")->nullable()->default("user");
            $table->string("gender")->nullable();
            $table->string("relation")->nullable();
            $table->string("photo")->nullable();
            $table->boolean("is_approved")->default(false);
            $table->timestamp("email_verified_at")->nullable();
            $table->boolean("is_google_login")->default(false);

            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('users');
    }
};
