<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('invoices', function (Blueprint $table) {
            $table->id();

            // foreign constraints
            // TODO: There is no need to add maintaince_template_id in the invoice
            // $table->foreignId("maintaince_template_id")->nullable()
            //     ->constrained("maintaince_templates")
            //     ->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('society_id')->nullable()
                ->constrained('societies')
                ->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('flat_id')->nullable()
                ->constrained('flats')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string("maintainance_cost")->nullable()->default(0);
            $table->string("property_tax_cost")->nullable()->default(0);
            $table->string("water_charges")->nullable()->default(0);
            $table->string("electricity_charges")->nullable()->default(0);
            $table->string("vehicle_charges")->nullable()->default(0);
            $table->string("is_paid")->nullable()->default(false);
            $table->string("payment_mode")->nullable();
            $table->string("bill_month")->nullable();
            $table->string("bill_date")->nullable();
            $table->string("bill_year")->nullable();
            $table->string("invoice_id")->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('invoices');
    }
};
