<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('owner_approvals', function (Blueprint $table) {
            $table->id();

            $table->foreignId("owner_id")->constrained("owners")
                ->cascadeOnDelete();
            $table->foreignId("user_id")->constrained("users")
                ->cascadeOnDelete();
            $table->unique(["owner_id", "user_id"]);

            $table->boolean("is_approved")->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('owner_approvals');
    }
};
